<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla9($idformato,$pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
 //   $idformato = $post['idformato'];


 
    // $pdf = new Fpdi('P', 'mm', 'letter');
    // $pdf->setSourceFile('plantillas/Dependientes_7.pdf');

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('9_bienes_inmuebles', $where, 1);
    $codigo_9 = $query->row();

    //View tipos Declarante  9. Bienes Inmuebles
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('9_bienes_inmuebles');
    $CI->db->join('tipos_declarante', '9_bienes_inmuebles.titular_inmueble=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante9 = $query->row();

    //View tipos Relacion  9.
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_relacion.nombre as nombre');
    $CI->db->from('9_bienes_inmuebles');
    $CI->db->join('tipos_relacion', '9_bienes_inmuebles.relacion_transmisor=tipos_relacion.idtipo_relacion');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_relacion9 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    // $pdf->setSourceFile('plantillas/Bienes_9.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx,0,0);
    if ($codigo_9->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 196.1, 25.9, 4, 4);
    }
    //SIN CAMBIO
    if ($codigo_9->ninguno =='2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 196, 18, 4, 4);

    }
    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(23);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 8, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true); 
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_9->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(23);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 8, utf8_decode('NÚMERO # 1'), 0, 0, true);
    }  



    $pdf->SetTextColor(0, 0, 0);

    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_9->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->Text(145, 164, 'CIUDAD/LOCALIDAD');
        $pdf->Text(33, 173, 'ESTADO/PROVINCIA');
        $pdf->Text(108, 173, utf8_decode('PAÍS'));
    } else {
        $pdf->Text(145, 164,'COLONIA/LOCALIDAD');
        $pdf->Text(33, 173, utf8_decode('MUNICIPIO/ALCALDÍA'));
        $pdf->Text(108, 173, utf8_decode('ENTIDAD FEDERATIVA'));
    }
    $pdf->SetFont('Arial', '', 8);

    $pdf->SetY(58);
    $pdf->SetX(55);


    if ($codigo_9->tipo_inmueble == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(61, 4, utf8_decode($codigo_9->tipo_inmueble_esp));
    } else {
        $pdf->Cell(61, 4, utf8_decode($codigo_9->tipo_inmueble));
    }
    $pdf->Ln(4);
    $pdf->SetX(55);
    if ($view_declarante9 != null) {
        $pdf->Cell(92, 4, utf8_decode($view_declarante9->nombre));
    }
    $pdf->Ln(11.5);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,
        utf8_decode($codigo_9->porcentaje_propiedad)
    );
    $pdf->Cell(50, 4, utf8_decode($codigo_9->superficie_terreno));
    $pdf->Cell(61, 4, utf8_decode($codigo_9->superficie_construccion));
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,
        utf8_decode($codigo_9->tercero)
    );
    $pdf->Cell(111, 4, utf8_decode($codigo_9->nombre_tercero));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,
        utf8_decode($codigo_9->rfc_tercero)
    );
    $pdf->Cell(50, 4, utf8_decode($codigo_9->forma_adquisicion));
    $pdf->Cell(61, 4, utf8_decode($codigo_9->forma_pago));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(85, 4,
        utf8_decode($codigo_9->transmisor)
    );
    if ($codigo_9->relacion_transmisor == '20') {
        $pdf->Cell(99, 4, utf8_decode($codigo_9->relacion_transmisor_esp));
    } else {
        if ($view_relacion9 != null) {
            $pdf->Cell(99, 4, utf8_decode($view_relacion9->nombre));
        }
    }
    $pdf->Ln(8.5);
    $pdf->SetX(13);
    $pdf->Cell(105, 4, utf8_decode($codigo_9->nombre_transmisor));
    $pdf->Cell(79, 4, utf8_decode($codigo_9->rfc_transmisor));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,
        utf8_decode($codigo_9->valor_adquisicion)
    );
    $pdf->Cell(50, 4, utf8_decode($codigo_9->tipo_moneda));
    $pdf->Cell(61, 4, utf8_decode($codigo_9->fecha_adquisicion));
    $pdf->Ln(12.5);
    $pdf->SetX(13);
    $pdf->Cell(92, 4,
        utf8_decode($codigo_9->datos_registro)
    );
    $pdf->Cell(92, 4, utf8_decode($codigo_9->adquisicion_conforme));

    $pdf->Ln(23.5);
    $pdf->SetX(108);
    $pdf->Cell(92, 4, utf8_decode($codigo_9->mexico_extranjero));
    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(70, 4,
        utf8_decode($codigo_9->calle)
    );
    $pdf->Cell(18, 4, utf8_decode($codigo_9->numero_ext));
    $pdf->Cell(18, 4, utf8_decode($codigo_9->numero_int));
    $pdf->Cell(70, 4, utf8_decode($codigo_9->localidad));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(70, 4,
        utf8_decode($codigo_9->municipio_estado)
    );
    $pdf->Cell(80, 4, utf8_decode($codigo_9->entidad_pais));
    $pdf->Cell(35, 4, utf8_decode($codigo_9->codigo_postal));
    $pdf->Ln(5);
    $pdf->SetX(90);
    if (
        $codigo_9->motivo_baja == 'OTRO / ESPECIFIQUE'
    ) {
        $pdf->Cell(105, 4, $codigo_9->motivo_baja_esp);
    } else {
        $pdf->Cell(105, 4, utf8_decode($codigo_9->motivo_baja));
    }
    $pdf->SetY(187);
    $pdf->SetX(13);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo_9->aclaraciones));

}

